groovy.util

## Class NodePrinter

- java.lang.Object
- - groovy.util.NodePrinter

-     public class NodePrinter
      extends Object

  A helper class for creating nested trees of data
  Author:
    James Strachan, Christian Stein

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IndentPrinter` | `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodePrinter()`
    `NodePrinter(IndentPrinter out)`
    `NodePrinter(PrintWriter out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `print(Node node)`
    `protected void` | `printAttributes(Map attributes)`
    `protected void` | `printList(List list)`
    `protected void` | `printName(Node node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          protected final IndentPrinter out

  - ### Constructor Detail

    - #### NodePrinter

          public NodePrinter()

    - #### NodePrinter

          public NodePrinter(PrintWriter out)

    - #### NodePrinter

          public NodePrinter(IndentPrinter out)

  - ### Method Detail

    - #### print

          public void print(Node node)

    - #### printName

          protected void printName(Node node)

    - #### printList

          protected void printList(List list)

    - #### printAttributes

          protected void printAttributes(Map attributes)